#!/usr/bin/env python3
# glt16 - Demo sunrise/sunset with PyEphem

import ephem
# from ephem import cities

# Online google lookup!
# graz = cities.lookup('Graz')
graz = ephem.Observer()
# graz.date = '2016/4/30' # yyyy:MM:dd
graz.date = ephem.now()  # Always UTC
graz.lat = '46:59:28'  # gg:mm:ss
graz.lon = '15:26:23'  # gg:mm:ss
# graz.elevation = 300   # m
# graz.compute_pressure()
graz.pressure = 970  # hPa = mbar
graz.temp = 10.0  # Celsius

sun = ephem.Sun()  # Body-Objekt

print('Now [UTC]: ', graz.date)
s0 = "Elev.[m]: {}, Press.[hPa]: {}, Temp.[C]: {}".format(
    graz.elevation, graz.pressure, graz.temp)
print(s0)
print('Previous set [UTC]: ', graz.previous_setting(sun))
print('Previous rise[UTC]: ', graz.previous_rising(sun))
print('Next    set  [UTC]: ', graz.next_setting(sun))
print('Next    rise [UTC]: ', graz.next_rising(sun))

